- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Mers::Estimation::Discrete::Io::Xml::Sax::EstCH Class Reference

`#include <EstCH.h>`

Inheritance diagram for Mers::Estimation::Discrete::Io::Xml::Sax::EstCH:

[legend]
Collaboration diagram for Mers::Estimation::Discrete::Io::Xml::Sax::EstCH:

[legend]
List of all members.

## Public Member Functions
| EstCH (XERCES_CPP_NAMESPACE::SAX2XMLReader *reader, const Mers::Models::Base::BaseModel *model,::Mers::Utils::Io::Xml::Sax::ContentHandler *parent,::Mers::Utils::Io::Xml::Sax::ContentCallback< ::Mers::Estimation::Discrete::Estimate * > *callback)
virtual | ~EstCH ()
virtual void | startElement (const XMLCh *const uri, const XMLCh *const localname, const XMLCh *const qname, const XERCES_CPP_NAMESPACE::Attributes &attrs)
virtual void | endElement (const XMLCh *const uri, const XMLCh *const localname, const XMLCh *const qname)
## Protected Member Functions
virtual void | handleContent (::Mers::Models::Base::BaseModelAssignment *asg, const XMLCh *element)
## Protected Attributes
::Mers::Models::Base::BaseModelAssignmentArray * | m_Assigns
::Mers::Utils::Io::Xml::Sax::ContentCallback< ::Mers::Estimation::Discrete::Estimate * > * | m_Callback

## Detailed Description

This class can load Estimate content.

Definition at line 36 of file EstCH.h.

## Constructor & Destructor Documentation

Mers::Estimation::Discrete::Io::Xml::Sax::EstCH::EstCH | ( | XERCES_CPP_NAMESPACE::SAX2XMLReader * | reader,
|  | const Mers::Models::Base::BaseModel * | model,
|  | ::Mers::Utils::Io::Xml::Sax::ContentHandler * | parent,
|  | ::Mers::Utils::Io::Xml::Sax::ContentCallback< ::Mers::Estimation::Discrete::Estimate * > * | callback |
| ) |  |  |

Creates this object with a content handler and a estimate callback object.

Parameters:

  | reader | The reader that is reading the data. This is used to change the content handler on the fly.
  | model | The model to use for translation.
  | parent | The parent of this object.
  | callback | The object to send content back to.

EstCH::~EstCH | ( |  | ) | `[virtual]`

Destroys this object.

Definition at line 48 of file EstCH.cpp.

References m_Assigns.

## Member Function Documentation

virtual void Mers::Estimation::Discrete::Io::Xml::Sax::EstCH::startElement | ( | const XMLCh *const | uri,
|  | const XMLCh *const | localname,
|  | const XMLCh *const | qname,
|  | const XERCES_CPP_NAMESPACE::Attributes & | attrs |
| ) |  |  | `[virtual]`

Receive notification of the beginning of an element.

The Parser will invoke this method at the beginning of every element in the XML document; there will be a corresponding endElement() event for every startElement() event (even when the element is empty). All of the element's content will be reported, in order, before the corresponding endElement() event.

Note that the attribute list provided will contain only attributes with explicit values (specified or defaulted): IMPLIED attributes will be omitted.

Parameters:

  | uri | The URI of the asscioated namespace for this element
  | localname | The local part of the element name
  | qname | The QName of this element
  | attrs | The attributes attached to the element, if any.

Exceptions:

  | SAXException | Any SAX exception, possibly wrapping another exception.

See also:
  endElement

  Attributes::Attributes

Reimplemented from Mers::Utils::Io::Xml::Sax::ContentHandler.

void EstCH::endElement | ( | const XMLCh *const | uri,
|  | const XMLCh *const | localname,
|  | const XMLCh *const | qname |
| ) |  |  | `[virtual]`

Receive notification of the end of an element.

The SAX parser will invoke this method at the end of every element in the XML document; there will be a corresponding startElement() event for every endElement() event (even when the element is empty).

Parameters:

  | uri | The URI of the asscioated namespace for this element
  | localname | The local part of the element name
  | qname | The QName of this element

Exceptions:

  | SAXException | Any SAX exception, possibly wrapping another exception.

Reimplemented from Mers::Utils::Io::Xml::Sax::ContentHandler.

Definition at line 82 of file EstCH.cpp.

References Mers::Utils::Io::Xml::Sax::ContentCallback< Type >::handleContent(), m_Assigns, and m_Callback.

Here is the call graph for this function:

virtual void Mers::Estimation::Discrete::Io::Xml::Sax::EstCH::handleContent | ( | ::Mers::Models::Base::BaseModelAssignment * | asg,
|  | const XMLCh * | element |
| ) |  |  | `[protected, virtual]`

Handles a single assignment. The receiving party assumes ownership of the asg object.

Parameters:

  | asg | The assignment that is now complete.
  | element | The name of the element that generated this object.

Implements Mers::Utils::Io::Xml::Sax::ContentCallback< ::Mers::Models::Base::BaseModelAssignment * >.

The documentation for this class was generated from the following files:

- /Users/fpy/titan-1-5-MBARI/Mers/Estimation/Discrete/Io/Xml/Sax/EstCH.h
- /Users/fpy/titan-1-5-MBARI/Mers/Estimation/Discrete/Io/Xml/Sax/EstCH.cpp